NWGETCONNLISTFROMOBJECT(3NCP)

NAME
NWGetConnListFromObject - Retrieve connection list of specified object

SYNOPSIS
#include <nwcalls.h> NWCCODE NWGetConnListFromObject(NWCONN_HANDLE conn, nuint32 objID, NWCONN_NUM firstConn, size_t* noOfReturnedConns, NWCONN_NUM* connList);

DESCRIPTION
This function retrieves connection list of specified object from server. conn
    conn contains connection handle obtained from ncp_open(3ncp) or NWParsePath(3ncp).
objID
    objID contains server specific object ID. For bindery, it is object ID, for NDS objects it is local entry number.
firstConn
    firstConn specifies, from which connection start search. Use 0 on first call and highest returned value on subsequent.
noOfReturnedConns
    noOfReturnedConns contains number of returned connections. It may be NULL, there is no reason for pass NULL into this function. At most 125 connections are returned at once.
connList
    connList is array for returned connection numbers. It may be NULL, in this case, only noOfReturnedConns is returned. connList array must be able to hold 125 entries.

RETURN VALUE
Function returns zero on success and non-zero on failure. If specified object does not exist, success is returned and noOfReturnedConns is set to zero.
If noOfReturnedConns is 125, it is possible that list is incomplete and NWGetConnListFromObject should be invoked again for another set of connections. See nwerrors(3ncp) for complete list of error codes.

BUGS
None known.

SEE ALSO
nwerrors(3ncp), NWGetObjectConnectionNumbers(3ncp)